manualReviewLink key with a secure link, which will allow the reviewer to access only the data of that particular transaction.
Embed an iframe with the contents of that link into the web page of your service:
GET request to the transactions resource as before.
Iframe appearance
You may want to streamline the appearance of the service by removing the Vantage logo or hiding some of the panes in the Manual Review client interface. To remove the Vantage logo, add adisplayMode query parameter with the iframe value to the link as follows:
These options are organized in a single JSON object. The following sample code will display an iframe with the rule errors pane hidden and the page thumbnails pane collapsed:
settings query parameter with the contents of this JSON object to your link for manual review:
Iframe events
The iframe object will send messages to the parent window to notify you of the reviewer’s actions in the Manual Review client interface, so that you could move on to the next step at the appropriate time. Events are sent with thetargetOrigin=parent parameter. The following is a list of events to look for:
ManualReviewWasPaused. Sent when the reviewer clicks the Reject button.ManualReviewWasCompleted. Sent when the reviewer clicks the Complete button.ManualReviewWithdrawn. Sent when the reviewer has been inactive for some time, and the Manual Review client task was withdrawn back to the general task queue.
